#ifndef _FS_FORMCOMBINATION_C_H_
#define _FS_FORMCOMBINATION_C_H_

#ifdef __cplusplus
extern "C" {
#endif


FSErrorCode FSDK_FormFileInfo_Create(const wchar_t* file_path, const FS_WSTR* password, FS_FORMFILEINFO_HANDLE* formfileinfo_return_value);
FSErrorCode FSDK_FormFileInfo_Create0( FSReaderCallback* reader_callback, const FS_WSTR* password, const wchar_t* file_name, FS_FORMFILEINFO_HANDLE* formfileinfo_return_value);
FSErrorCode FSDK_FormFileInfo_Release(FS_FORMFILEINFO_HANDLE formfileinfo_handle);
FSErrorCode FSDK_FormFileInfo_IsEmpty(FS_FORMFILEINFO_HANDLE formfileinfo_handle, FS_BOOL* return_value);
FSErrorCode FSDK_FormCombination_CombineFormsToCSV(const FS_FORMFILEINFO_HANDLE* form_file_array, FS_UINT32 array_length_, const wchar_t* dest_csv_file, FS_BOOL append);
FSErrorCode FSDK_FormCombination_CombineFormsToCSV0(const FS_FORMFILEINFO_HANDLE* form_file_array, FS_UINT32 array_length_, FSStreamCallback* dest_csv_file, FS_BOOL append);
#ifdef __cplusplus
}
#endif
#endif
